Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Interface JDBCParameterSetter

All Known Implementing Classes:
  JDBCParameterSetter.JDBCAbstractParameterSetter

public interface JDBCParameterSetter

Implementations of this interface are used to set java.sql.PreparedStatement parameters.

Version:
  `$Revision: 1.2 $`
Author:
  Alexey Loubyansky

Nested Class Summary
`static class` | `JDBCParameterSetter.JDBCAbstractParameterSetter`

Field Summary
`static JDBCParameterSetter` | `BINARY` Types.BINARY, Types.VARBINARY.
`static JDBCParameterSetter` | `BLOB` Types.BLOB, Types.LONGVARBINARY.
`static JDBCParameterSetter` | `CLOB` Types.CLOB, Types.LONGVARCHAR.
`static JDBCParameterSetter` | `NUMERIC` Types.DECIMAL, Types.NUMERIC
`static JDBCParameterSetter` | `OBJECT` Types.JAVA_OBJECT, Types.OTHER, Types.STRUCT

Method Summary
`void` | `set(PreparedStatement ps, int index, int jdbcType, Object value, org.jboss.logging.Logger log)` Sets a parameter of a specific JDBC type.

Field Detail

### CLOB

    public static final JDBCParameterSetter CLOB

  Types.CLOB, Types.LONGVARCHAR.

### BINARY

    public static final JDBCParameterSetter BINARY

  Types.BINARY, Types.VARBINARY.

### BLOB

    public static final JDBCParameterSetter BLOB

  Types.BLOB, Types.LONGVARBINARY.

### NUMERIC

    public static final JDBCParameterSetter NUMERIC

  Types.DECIMAL, Types.NUMERIC

### OBJECT

    public static final JDBCParameterSetter OBJECT

  Types.JAVA_OBJECT, Types.OTHER, Types.STRUCT

Method Detail

### set

    public void set(PreparedStatement ps,
                    int index,
                    int jdbcType,
                    Object value,
                    org.jboss.logging.Logger log)
             throws SQLException

  Sets a parameter of a specific JDBC type.

  Parameters:
    `ps` - the java.sql.PreparedStatement to set parameter on
    `index` - the index of the parameter
    `jdbcType` - the JDBC type of the parameter as defined by java.sql.Types
    `value` - parameter value
    `log` - the logger
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.